import { ITesseractWeb3Provider, TesseractWeb3ProviderOptions, AnyWeb3Provider } from '../types';
declare type AnyProvider = AnyWeb3Provider & ITesseractWeb3Provider;
export declare class Web3NativeProvider implements ProxyHandler<AnyProvider> {
    has(target: AnyProvider, p: PropertyKey): boolean;
    get(target: AnyProvider, p: PropertyKey, receiver: any): any;
    set(target: AnyProvider, p: PropertyKey, value: any, receiver: any): boolean;
    ownKeys(target: AnyProvider): PropertyKey[];
    private static _fromProvider;
    static create({ netId }: TesseractWeb3ProviderOptions): Promise<ITesseractWeb3Provider>;
}
export {};
