"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Web3ProviderProxy = /** @class */ (function () {
    function Web3ProviderProxy() {
    }
    Web3ProviderProxy.prototype.has = function (target, p) {
        switch (p) {
            case 'on': return target.supportsSubscriptions();
            default: return Reflect.has(target, p);
        }
    };
    Web3ProviderProxy.prototype.get = function (target, p, receiver) {
        switch (p) {
            case 'on': return target.supportsSubscriptions() ? Reflect.get(target, p, receiver) : undefined;
            default: return Reflect.get(target, p, receiver);
        }
    };
    Web3ProviderProxy.prototype.ownKeys = function (target) {
        if (!target.supportsSubscriptions()) {
            var keys = Reflect.ownKeys(target);
            keys.splice(keys.indexOf('on'), 1);
            return keys;
        }
        return Reflect.ownKeys(target);
    };
    return Web3ProviderProxy;
}());
exports.Web3ProviderProxy = Web3ProviderProxy;
