import { Web3 as Web3JS } from './libs';
import { OpenWallet } from '@tesseractjs/openwallet';
import { ITesseractWeb3Provider, ITesseractWeb3ProviderFactory, HttpProviderOptions, WebsocketProviderOptions } from './types';
export declare class Web3 extends Web3JS {
    hasClientWallet: boolean;
    static create(providers: Array<ITesseractWeb3ProviderFactory>, openWallet: OpenWallet, netId?: number, rpcUrl?: string, rpcOptions?: HttpProviderOptions | WebsocketProviderOptions): Promise<Web3>;
    constructor(provider: ITesseractWeb3Provider);
}
