import { ITesseractWeb3Provider, TesseractWeb3ProviderOptions, AnyWeb3Provider } from '../types';
declare type Provider = AnyWeb3Provider & ITesseractWeb3Provider;
export declare class Web3FallbackProvider implements ProxyHandler<Provider> {
    has(target: Provider, p: PropertyKey): boolean;
    get(target: Provider, p: PropertyKey, receiver: any): any;
    set(target: Provider, p: PropertyKey, value: any, receiver: any): boolean;
    ownKeys(target: Provider): PropertyKey[];
    static create({ provider }: TesseractWeb3ProviderOptions): Promise<ITesseractWeb3Provider>;
}
export {};
